* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  width: 100vw;
  height: 100vh;
  overflow-y: hidden;
}

.bg-container {
  background-image: url(./img/forestBG.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  width: 100vw;
  height: 100vh;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.cloud {
  overflow: hidden;
}
.cloud img {
  animation: cloud calc(10s * var(--i)) linear infinite both;
  opacity: 0.6;
  max-width: 100%;
  position: absolute;
  bottom: 0px;
}

@keyframes cloud {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(100%);
  }
}

.main-container {
  width: 90vw;
  max-width: 850px;
  max-height: 90vh;
  min-height: 55vh;
  border-radius: 40px;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.8);
  background-color: #071e0779;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem;
  z-index: 99;
}

header {
  font-size: 2rem;
  color: black;
  text-shadow: 3px 5px 5px rgba(0, 0, 0, 0.7);
  text-align: center;
  padding: 1rem;
}

.todo-add {
  width: 90%;
  display: flex;
  margin-top: 1rem;
  font-size: 0.5rem;
}
#todo-input {
  width: 80%;
  margin-right: 10px;
  border-color: #f6f6f6;
  border-radius: 10px;
  outline: none;
  padding: 0.5rem;
}

#todo-button {
  width: 20%;
  padding: 0.7rem;
  background-color: #f6f6f6;
  color: #071e07;
  font-size: 1rem;
  font-weight: bold;
  border-radius: 10px;
  border: none;
}

#todo-button:hover {
  opacity: 0.5;
}

.todos {
  width: 90%;
  margin-top: 2rem;
  overflow-y: auto;
  overflow-x: hidden;
}

.todos ul {
  list-style: none;
}

ul li {
  border: 1px solid #f6f6f6;
  background-color: rgba(238, 238, 238, 0.233);
  color: rgb(41, 41, 41);
  font-weight: bold;
  margin-bottom: 1rem;
  display: flex;
  align-items: center;
  transition: all 0.5s;
}

ul li:nth-child(even) {
  background: #dde6f586;
}

ul li:hover {
  transform: translate(3px, 2px);
}

li i {
  padding: 1rem;
  color: #060705;
  transform: scale(1.3);
  cursor: pointer;
}

li i:hover {
  color: #f6f6f6;
}

li i:nth-child(3):active {
  color: maroon;
}

li p {
  color: #060705;
  width: 100%;
  padding: 0.4rem;
}

li.checked .fa-check {
  color: #c8c9c7;
}

li.checked p {
  color: rgb(41, 41, 41);
  text-decoration: line-through;
  font-weight: normal;
}

@media screen and (max-width: 576px) {
  li p {
    font-size: 0.8rem;
  }
}
